import Vue from 'vue';

import rtLookup from './lookup/rtLookup';
import rtSortFiled from './rtSortFiled';
import rtChooseUser from './rtPlus/rtChooseUser';
import rtUserAvatar from './rtPlus/rtUserAvatar';
import rtCommentPopup from './rtCommentPopup';
import rtFooterArea from './rtFooterArea/rtFooterArea';
import rtIconTextReadonly from './rtIconTextReadonly/rtIconTextReadonly';
import rtButtonFooterArea from './rtButtonFooterArea/rtButtonFooterArea';
import rtTopBar from './rtTopBar/rtTopBar';
import rtSection2 from './rtSection2';
import rtDividing from './rtDividing';
import rtBuTreeLookup from './lookup/buTreeLookup/rtBuTreeLookup';
import rtScreenIcon from './rtScreenIcon/rtScreenIcon';

const components = [
  { name: rtLookup.name, component: rtLookup },
  { name: rtSortFiled.name, component: rtSortFiled },
  { name: rtChooseUser.name, component: rtChooseUser },
  { name: rtUserAvatar.name, component: rtUserAvatar },
  { name: rtCommentPopup.name, component: rtCommentPopup },
  { name: rtFooterArea.name, component: rtFooterArea },
  { name: rtIconTextReadonly.name, component: rtIconTextReadonly },
  { name: rtButtonFooterArea.name, component: rtButtonFooterArea },
  { name: rtTopBar.name, component: rtTopBar },
  { name: rtSection2.name, component: rtSection2 },
  { name: rtDividing.name, component: rtDividing },
  { name: rtBuTreeLookup.name, component: rtBuTreeLookup },
  { name: rtScreenIcon.name, component: rtScreenIcon }
];

components.forEach(item => Vue.component(item.name, item.component));
