export default {
  data() {
    return {
      picklistName: [],
      picklistData: {}
    };
  },
  async created() {
    await this.loadPicklists();
  },
  methods: {
    async loadPicklists() {
      const res = await rt.get(`api/${this.controllerName}/GetPickListData?fieldCodes=${this.picklistName.join()}`);
      this.picklistData = Object.assign({}, this.picklistData, res);
    }
  }
};
