# ReCloud JCY WebView

## TODO

- [X] workReportRead 等文件夹名称不规范
- [X] 替换所有的 $vux.toast 为 rt.
- [X] 检查现有 rt-view 下面必须包含 header \ content \ footer
- [ ] 替换所有的 rt-list-container
- [ ] 所有页面替换成 rt-view 包裹，去除对 Layout.vue 路由的依赖。
  - module\business-account\BusinessAccountDetail.vue
  - module\current-account-statement\currentAccountStatementDetail.vue
  - module\dailyreport\dailyReportListView.vue
  - module\dailyreport\dailyReportReaderListView.vue
  - module\dailyreport\dailyReportReadOnlyView.vue
  - module\image-previewer\index.vue
  - module\knowledge\authors\KnowledgeAuthorsWorksList.vue
  - module\knowledge\authors\KnowledgeTopAuthorList.vue
  - module\knowledge\detail\index.vue
  - module\knowledge\detail\KnowledgeComments.vue
  - module\knowledge\detail\KnowledgeCommentsList.vue
  - module\knowledge\homepage\index.vue
  - module\knowledge\mine\index.vue
  - module\knowledge\mine\KnowledgeList.vue
  - module\knowledge\products\index.vue
  - module\knowledge\types\index.vue
  - module\knowledge\types\KnowledgeTopTypeList.vue
  - module\knowledge\KnowledgeSearch.vue
  - module\knowledge\KnowledgeSearchList.vue
  - [X] module\login\index.vue
  - module\lookup\userLookupView.vue
  - module\monthlyreport\monthlyReportListView.vue
  - module\monthlyreport\monthlyReportReaderListView.vue
  - module\monthlyreport\monthlyReportReadOnlyView.vue
  - module\notice\NoticeDetail.vue
  - module\notice\NoticeDetailView.vue
  - module\notice\NoticeListView.vue
  - module\order\Cart.vue
  - module\order\Category.vue
  - module\order\OrderAddress.vue
  - module\order\OrderConfirm.vue
  - module\order\OrderDetail.vue
  - module\order\OrderList.vue
  - module\rebates-reconciliation\rebatesReconciliationDetail.vue
  - module\salary\SalaryView.vue
  - module\salary\TaxList.vue
  - module\task\taskEdit.vue
  - module\task\taskReadOnly.vue
  - module\weeklyreport\weeklyReportListView.vue
  - module\weeklyreport\weeklyReportReadOnlyView.vue
  - module\work-report-read\WorkReportReadFilter.vue
  - module\work-report-read\WorkReportReadList.vue
  - [X] module\CRM.vue
  - [X] module\OA.vue
- [ ] 使用 rt-input 代替 x-input 和 input
- [ ] 封装 Fab 组件
- [ ] 封装 Avatar 组件
- [ ] 移除大部分自定义组件的样式，或内置在组件中，或改成全局的样式
- [ ] ImagePreviewer 需要使用平台的图片预览的组件替换
- [ ] 封装 Lookup
- [ ] 移除 userWithFrequentLookup.js
- [ ] 移除 oaRequisitionServices.js 无效的封装
- [ ] 尽量去除对 VUX 的组件的直接依赖，改用 rt 组件
  - 比如