export default {
  data() {
    return {
      businessUnitIds: "",
      listen: "butreelookupfilter-list",
      buselected: {},
    };
  },
  methods: {
    /**
     * 筛选部门
     */
    butreelookupfilter(callback) {
      var nextData = this.buselected;
      if (JSON.stringify(nextData) === "{}")
        nextData = {
          Id: "toptree",
        }
      else
        localStorage.setItem("butreelookupfilter-list", JSON.stringify(this.buselected));

      this.$bus.$once(this.listen, value => {
        if (value) {
          let selecteddata = localStorage.getItem("butreelookupfilter-list");
          if (selecteddata) {
            this.buselected = JSON.parse(selecteddata);
          }

          const ids = this.getIdsFromObject(this.buselected);
          this.businessUnitIds = JSON.stringify(ids.join(','));
        }
        localStorage.removeItem("butreelookupfilter-list");
        if (typeof callback === "function")
          callback();
      });

      this.$router.push({
        name: 'butreelookupfilter-list',
        params: {
          fatherId: null,
          paramJson: nextData
        }

      });
    },
    //递归从对象中取出所有的id
    getIdsFromObject(data) {
      var Ids = [];
      var that = this;
      if (data) {
        if (data.Id !== "toptree" && (rt.isNull(data.selectedStatus) || data.selectedStatus === 2)) {
          Ids.push(data.Id);
        }
        if (data.Children) {
          _.forEach(data.Children, function (element) {
            Ids = Ids.concat(that.getIdsFromObject(element));
          });
        }
      }
      return Ids;
    }
  }
};
