export default {
  methods: {
    /**
     * 拨打电话
     * @param {String} phoneNumber
     */
    dial(phoneNumber) {
      event.stopPropagation();
      if (!rt.isNilOrWhiteSpace(phoneNumber)) {
        window.location.href = `tel:${phoneNumber}`;
      } else {
        rt.showErrorToast('请先维护客户电话');
      }
    }
  }
};
