export default {
  methods: {
    /**
     * 删除照片
     * @param {Object} thumbnail
     */
    onThumbnailsDelete(thumbnail) {
      return rt.get(`api/${this.controllerName}/DelAttachment?id=${thumbnail.Id}`);
    },
    /**
     * 下载微信照片
     * @param {String} objectId
     * @param {String} mediaId
     */
    downloadImage(objectId, mediaId) {
      return rt.get(`api/${this.controllerName}/DownloadImage?mediaId=${mediaId}&id=${objectId}`.replace(/undefined/g, ''));
    }
  }
};
