const refreshList = {
  state: {
    keys: []
  },
  mutations: {
    INSERT_REFRESHKEY(state, refreshKey) {
      if (!state.keys.includes(refreshKey)) {
        state.keys.push(refreshKey);
      }
    },
    REMOVE_REFRESHKEY(state, refreshKey) {
      if (state.keys.includes(refreshKey)) {
        state.keys = _.remove(state.keys, function(n) {
          return n == refreshKey;
        });
      }
    }
  }
};

export default refreshList;
